Delete file
curl --request DELETE \
--url https://api.novita.ai/openai/v1/files/{file_id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/openai/v1/files/{file_id}"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/openai/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "<string>",
"object": "<string>"
}Batch
Delete file
DELETE
/
openai
/
v1
/
files
/
{file_id}
Delete file
Deletes a specific file using its file ID.
Request Headers
string
requerido
Enum:
application/jsonstring
requerido
Bearer authentication format, for example: Bearer {{API Key}}.
Path Parameters
string
requerido
The unique identifier of the file to delete.
Response
boolean
requerido
Indicates whether the file was successfully deleted. Returns
true if the deletion was successful.string
requerido
The unique identifier of the deleted file.
string
requerido
The object type, which is always
file.Última modificación el 15 de mayo de 2026
⌘I